laforge has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-e1d/+/39892?usp=email )
Change subject: contrib/e1-prbs-test: Note osmo-e1d capability in README
......................................................................
contrib/e1-prbs-test: Note osmo-e1d capability in README
Change-Id: I76b72359267014c7df431699698c5c4e2c0cd53d
---
M contrib/e1-prbs-test/README
1 file changed, 8 insertions(+), 4 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-e1d refs/changes/92/39892/1
diff --git a/contrib/e1-prbs-test/README b/contrib/e1-prbs-test/README
index 903cc39..891fe7f 100644
--- a/contrib/e1-prbs-test/README
+++ b/contrib/e1-prbs-test/README
@@ -1,5 +1,5 @@
-e1-prbs-test - Utility to test for bit errors on E1 lines using DAHDI
-======================================================================
+e1-prbs-test - Utility to test for bit errors on E1 lines
+=========================================================
e1-prbs-test can be used to test for bit errors in E1 transmission
lines. It consists of a sender and a receiver, which should be used
@@ -8,8 +8,9 @@
Transmitter and receiver can be on the same machine, or on different
machines.
-The code currently works directly on DAHDI, so only DAHDI-supported E1
-cards are supported at this point.
+The code currently works directly on DAHDI or via osmo-e1d, so both
+DAHDI-supported E1 interfaces as well as osmo-e1d supported ones
+are supported at this point.
The test works by sending timeslot-specific PRBS sequences of 512 bit
(64byte) length on the transmit side, and by correlating to those PRBS
@@ -25,6 +26,9 @@
The test will run indefinitely.
+For using osmo-e1d, use "e1d:0:0" and "e1d:0:1" for interface 0 line 0 + 1
+instead of the /dev/dahdi/chan/xxx notation.
+
If you'd like to get an interim report, send a SIGHUP to
e1-prbs-test.
--
To view, visit https://gerrit.osmocom.org/c/osmo-e1d/+/39892?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-e1d
Gerrit-Branch: master
Gerrit-Change-Id: I76b72359267014c7df431699698c5c4e2c0cd53d
Gerrit-Change-Number: 39892
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/upf-benchmark/+/39890?usp=email
to look at the new patch set (#2).
The following approvals got outdated and were removed:
Verified+1 by Jenkins Builder
Change subject: testsuites: upf: Support setting net iface irqs in c240 host
......................................................................
testsuites: upf: Support setting net iface irqs in c240 host
The Cisco C240 machines consist of 2 CPU packages, each with 20 cores
(hyperthreading disabled). Those 2 CPUs packages are hence placed in 2
different NUMA zones.
By default, mlx5 driver creates one rx-queue per core, in this case it
creates 40 rx-queues with 40 irqs (one for each rx-queue/core).
This means it doesn't take into account the fact that the network card
is plugged into a given PCIe bus belonging to one of the 2 available
NUMA zones.
As a result, when a packet is received and put into the rx-queue+irq
belonging to the other NUMA zone, a penalty in memory-bandwitch is
incurred, which ends up in a performance throughput penalty.
This commit is similar to 224e2dc3ab67311b4bad94bf891d1b5c5ca6128f
applied to the tunmap scenario.
Change-Id: Ia4c006910e946e22ab375e9349940f1f756e7800
---
M testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
M testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
2 files changed, 62 insertions(+), 10 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/upf-benchmark refs/changes/90/39890/2
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/39890?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: Ia4c006910e946e22ab375e9349940f1f756e7800
Gerrit-Change-Number: 39890
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/upf-benchmark/+/39890?usp=email )
Change subject: testsuites: upf: Support setting net iface irqs in c240 host
......................................................................
testsuites: upf: Support setting net iface irqs in c240 host
The Cisco C240 machines consist of 2 CPU packages, each with 20 cores
(hyperthreading disabled). Those 2 CPUs packages are hence placed in 2
different NUMA zones.
By default, mlx5 driver creates one rx-queue per core, in this case it
creates 40 rx-queues with 40 irqs (one for each rx-queue/core).
This means it doesn't take into account the fact that the network card
is plugged into a given PCIe bus belonging to one of the 2 available
NUMA zones.
As a result, when a packet is received and put into the rx-queue+irq
belonging to the other NUMA zone, a penalty in memory-bandwitch is
incurred, which ends up in a performance throughput penalty.
This commit is similar to 224e2dc3ab67311b4bad94bf891d1b5c5ca6128f
applied to the tunmap scenario.
Change-Id: Ia4c006910e946e22ab375e9349940f1f756e7800
---
M testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
M testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
2 files changed, 62 insertions(+), 10 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/upf-benchmark refs/changes/90/39890/1
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
index c4a7ae6..319485d 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
@@ -1,12 +1,38 @@
#!/bin/bash -xe
+SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+
+NUM_ENB=100
# Interface towards UPF:
ADDR_GW_CN="172.16.31.200"
-NUM_ENB=100
-IFACE_RAN="enp2s0f1np1"
-IFACE_CN="enp2s0f0np0"
-MAC_RAN_PEER="ec:0d:9a:8a:27:52"
-MAC_CN_PEER="ec:0d:9a:8a:27:53"
+
+case $(hostname) in
+gtplab1)
+ IFACE_RAN="enp2s0f1np1"
+ IFACE_CN="enp2s0f0np0"
+ MAC_RAN_PEER="ec:0d:9a:8a:27:52"
+ MAC_CN_PEER="ec:0d:9a:8a:27:53"
+ ;;
+c240-2)
+ IFACE_RAN="ens2f0np0"
+ IFACE_CN="ens2f1np1"
+ MAC_RAN_PEER="b8:ce:f6:fe:62:e0"
+ MAC_CN_PEER="b8:ce:f6:fe:62:e1"
+ # Adapt Rx/Tx Queues and IRQs to Numa Node of device:
+ # cat /sys/class/net/$IFACE_RAN/device/numa_node
+ # 0
+ # cat /sys/class/net/$IFACE_RAN/device/local_cpulist
+ # 0-19
+ sudo ethtool -L $IFACE_RAN combined 20
+ sudo ethtool -L $IFACE_CN combined 20
+ sudo "$SCRIPT_DIR/../../../../../scripts/set_irq_affinity_cpulist.sh" 0-19 $IFACE_RAN
+ sudo "$SCRIPT_DIR/../../../../../scripts/set_irq_affinity_cpulist.sh" 0-19 $IFACE_CN
+ ;;
+*)
+ echo "UNEXPECTED HOSTNAME: $(hostname)"
+ exit 1
+ ;;
+esac
# Disable ethernet flow control:
sudo ethtool -A $IFACE_RAN autoneg off rx off tx off
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
index 613caf2..1a12b80 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
@@ -1,13 +1,39 @@
#!/bin/bash -xe
+SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+
+NUM_ENB=100
+
# Interface towards UPF:
IFACE_APN="apn-flood"
ADDR_GW_CN="172.16.31.200"
-NUM_ENB=100
-IFACE_RAN="enp2s0f1np1"
-IFACE_CN="enp2s0f0np0"
-MAC_RAN_PEER="88:e9:a4:3b:f0:48"
-MAC_CN_PEER="88:e9:a4:3b:f0:49"
+case $(hostname) in
+gtplab1)
+ IFACE_RAN="enp2s0f1np1"
+ IFACE_CN="enp2s0f0np0"
+ MAC_RAN_PEER="ec:0d:9a:8a:27:52"
+ MAC_CN_PEER="ec:0d:9a:8a:27:53"
+ ;;
+c240-2)
+ IFACE_RAN="ens2f0np0"
+ IFACE_CN="ens2f1np1"
+ MAC_RAN_PEER="b8:ce:f6:fe:62:e0"
+ MAC_CN_PEER="b8:ce:f6:fe:62:e1"
+ # Adapt Rx/Tx Queues and IRQs to Numa Node of device:
+ # cat /sys/class/net/$IFACE_RAN/device/numa_node
+ # 0
+ # cat /sys/class/net/$IFACE_RAN/device/local_cpulist
+ # 0-19
+ sudo ethtool -L $IFACE_RAN combined 20
+ sudo ethtool -L $IFACE_CN combined 20
+ sudo "$SCRIPT_DIR/../../../../../scripts/set_irq_affinity_cpulist.sh" 0-19 $IFACE_RAN
+ sudo "$SCRIPT_DIR/../../../../../scripts/set_irq_affinity_cpulist.sh" 0-19 $IFACE_CN
+ ;;
+*)
+ echo "UNEXPECTED HOSTNAME: $(hostname)"
+ exit 1
+ ;;
+esac
# Disable ethernet flow control:
sudo ethtool -A $IFACE_RAN autoneg off rx off tx off
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/39890?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: Ia4c006910e946e22ab375e9349940f1f756e7800
Gerrit-Change-Number: 39890
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Attention is currently required from: fixeria, laforge.
Hello Jenkins Builder, laforge,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/pysim/+/39860?usp=email
to look at the new patch set (#3).
The following approvals got outdated and were removed:
Verified+1 by Jenkins Builder
Change subject: saip-tool: add features to add, remove and inspect application PEs
......................................................................
saip-tool: add features to add, remove and inspect application PEs
The PE-Application object is used to provision JAVA-card applications
into an eUICC during profile installation. Let's extend the SAIP-tool
so that we are able to add, remove and inspect applications.
Change-Id: I41db96f2f0ccc29c1725a92215ce6b17d87b76ce
---
M contrib/saip-tool.py
A contrib/saip-tool_example_add-app.sh
A contrib/saip-tool_example_extract-apps.sh
A contrib/saip-tool_example_remove-app-inst.sh
A contrib/saip-tool_example_remove-app.sh
M docs/index.rst
A docs/saip-tool.rst
M pySim/esim/saip/__init__.py
8 files changed, 499 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/pysim refs/changes/60/39860/3
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/39860?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I41db96f2f0ccc29c1725a92215ce6b17d87b76ce
Gerrit-Change-Number: 39860
Gerrit-PatchSet: 3
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>